Bug 203886 - no mouse buttons during graphical install phase
no mouse buttons during graphical install phase
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
i686 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 03:54 EDT by Peter Hochstrasser
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 10:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hochstrasser 2006-08-24 03:54:46 EDT
Description of problem:
I have a logitech 2-button plus wheel pilot mouse attached via USB to a FSC
D-1327 motherboard with a P4 1.8MHz, and use a NV graphics card with a
DVI/OpenLD converter on a SGI SW1600 panel @ 1600x1024 resolution for the
installation of FC6 Test2. I start the install with no special parameters. Once
anaconda goes graphical, the mouse moves, but none of the buttons act, so I have
to do keyboard navigation to install using the graphical installer.

It is kind of difficult to assign this behaviour to a specific component, it may
well be that it is not related to anaconda at all.

Version-Release number of selected component (if applicable):


How reproducible:
Stable - every time I try the installer.

Steps to Reproduce:
1. Using above hardware, start FC6 Install in graphical mode
2. After the initial questions, once the installer goes graphical, mouse pointer
moves, but mouse buttons do not react to push.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Hochstrasser 2006-08-25 00:57:28 EDT
Solution found: The display is moved to the right, such that if I click on a
certain button, the click is perceived by the system as being an offset to the
right. So, the problem is not with anaconda, but with the screen and monitor
definition of the X server for the SGI 1600SW.
Comment 2 Adam Jackson 2006-08-25 11:25:19 EDT
If you have the system fully installed, can you attach the xorg.conf file we
generate, and the Xorg.0.log from a normal X startup?
Comment 3 Adam Jackson 2006-09-07 21:47:52 EDT
Reporter, I need more information from you if I am to work this bug any further.
 Please attach the files mentioned in comment #2 and reopen this bug when you do.
Comment 4 Peter Hochstrasser 2006-09-08 06:39:58 EDT
Sorry to have been slow to report back. I have switched distros and now use
Kanotix on that server. Anyway, I have not found a solution to the problem, but
I would suggest that the bug is of minor importance since there are not that
many SGI 1600SW panels with a OpenLD-DVI/D interface in use.
Comment 5 Matthew Miller 2007-04-06 13:52:19 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Matěj Cepl 2007-07-12 10:46:26 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.